Bug 1402673 - Review Request: python-www-authenticate - Python library for parsing WWW-Authenticate HTTP header values
Summary: Review Request: python-www-authenticate - Python library for parsing WWW-Auth...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roman Joost
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1402675
TreeView+ depends on / blocked
 
Reported: 2016-12-08 06:27 UTC by Dan Callaghan
Modified: 2017-01-16 20:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-16 19:50:35 UTC
rjoost: fedora-review+


Attachments (Terms of Use)

Description Dan Callaghan 2016-12-08 06:27:09 UTC
Spec URL: https://fedorapeople.org/~dcallagh/python-www-authenticate/python-www-authenticate.spec
SRPM URL: https://fedorapeople.org/~dcallagh/python-www-authenticate/python-www-authenticate-0.9.2-1.fc26.src.rpm
Description: Parsing WWW-Authenticate headers is difficult. Let this tiny library do all the hard work for you.
Fedora Account System Username: dcallagh

Comment 1 Roman Joost 2016-12-15 06:51:24 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Cannot run licensecheck: Command 'licensecheck -r
     /var/lib/mock/fedora-24-x86_64/root/builddir/build/BUILD/www-
     authenticate-0.9.2' returned non-zero exit status 255

     Ran the tool manually. The license text is slightly different to other BSD
     examples. That's probably why the check returned an error.

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -www-authenticate , python3-www-authenticate
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: python2-www-authenticate-0.9.2-1.fc24.noarch.rpm
          python3-www-authenticate-0.9.2-1.fc24.noarch.rpm
          python-www-authenticate-0.9.2-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /tmp/1402673-python-www-authenticate/srpm/python-www-authenticate.spec	2016-12-15 15:13:41.284173172 +1000
+++ /tmp/1402673-python-www-authenticate/srpm-unpacked/python-www-authenticate.spec	2016-12-08 15:42:16.000000000 +1000
@@ -14,5 +14,5 @@
 License:        BSD
 URL:            https://github.com/alexsdutton/www-authenticate
-Source0:        https://github.com/alexsdutton/%{upstream_name}/archive/%{version}.tar.gz#/%{upstream_name}-%{version}.tar.gz
+Source0:        https://github.com/alexsdutton/%{upstream_name}/archive/0.9.2.tar.gz#/%{upstream_name}-%{version}.tar.gz
 # https://github.com/alexsdutton/www-authenticate/issues/1
 Source1:        https://raw.githubusercontent.com/lphuberdeau/www-authenticate/a35e5df38d909e0f73bb6df0573fa80333a4922e/LICENSE


Requires
--------
python2-www-authenticate (rpmlib, GLIBC filtered):
    python(abi)

python3-www-authenticate (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-www-authenticate:
    python-www-authenticate
    python2-www-authenticate

python3-www-authenticate:
    python3-www-authenticate



Source checksums
----------------
https://github.com/alexsdutton/www-authenticate/archive/0.9.2.tar.gz#/www-authenticate-0.9.2.tar.gz :
  CHECKSUM(SHA256) this package     : 77697918c9b72974a0162f14472b48a7a02b15344a4df3092194c2afc54eb738
  CHECKSUM(SHA256) upstream package : 77697918c9b72974a0162f14472b48a7a02b15344a4df3092194c2afc54eb738
https://raw.githubusercontent.com/lphuberdeau/www-authenticate/a35e5df38d909e0f73bb6df0573fa80333a4922e/LICENSE :
  CHECKSUM(SHA256) this package     : cbd6ffd569d4ae550041d13a70b271233b0d113dbad7018e223953cf5a999053
  CHECKSUM(SHA256) upstream package : cbd6ffd569d4ae550041d13a70b271233b0d113dbad7018e223953cf5a999053


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1402673
Buildroot used: fedora-24-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Gwyn Ciesla 2016-12-16 13:34:46 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-www-authenticate

Comment 3 Fedora Update System 2017-01-06 02:08:22 UTC
python-www-authenticate-0.9.2-1.fc24 python-aiohttp-negotiate-0.11-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a80cdd6f1d

Comment 4 Fedora Update System 2017-01-06 02:08:33 UTC
python-www-authenticate-0.9.2-1.fc25 python-aiohttp-negotiate-0.11-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-828303816d

Comment 5 Fedora Update System 2017-01-06 02:08:42 UTC
python-www-authenticate-0.9.2-1.el7 python-aiohttp-negotiate-0.11-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7220d868a2

Comment 6 Fedora Update System 2017-01-06 23:20:48 UTC
python-aiohttp-negotiate-0.11-1.fc25, python-www-authenticate-0.9.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-828303816d

Comment 7 Fedora Update System 2017-01-07 00:48:26 UTC
python-aiohttp-negotiate-0.11-1.el7, python-www-authenticate-0.9.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7220d868a2

Comment 8 Fedora Update System 2017-01-07 01:18:51 UTC
python-aiohttp-negotiate-0.11-1.fc24, python-www-authenticate-0.9.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a80cdd6f1d

Comment 9 Fedora Update System 2017-01-16 19:50:35 UTC
python-aiohttp-negotiate-0.11-1.fc25, python-www-authenticate-0.9.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-01-16 20:49:33 UTC
python-aiohttp-negotiate-0.11-1.fc24, python-www-authenticate-0.9.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.